<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTransferRecordTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('transfer_record', function (Blueprint $table) {
            $table->increments('id');
            $table->string('to')->default('')->comment('转账收款地址');
            $table->double('price')->comment('resdao数量');
            $table->string('hash')->default('')->comment('交易哈希');
            $table->integer('status')->default('0')->comment('0是未转账，1是转账成功，2是转账失败');
            $table->integer('blind_box_id')->comment('转账的盲盒id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('transfer_record');
    }
}
